<?php

namespace Bixo\Photorequest\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class PhotorequestTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_photorequest_photorequests')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.photorequest.photorequest.view',
                'name'      => 'View Photorequest',
            ],
            [
                'slug'      => 'bixo.photorequest.photorequest.create',
                'name'      => 'Create Photorequest',
            ],
            [
                'slug'      => 'bixo.photorequest.photorequest.edit',
                'name'      => 'Update Photorequest',
            ],
            [
                'slug'      => 'bixo.photorequest.photorequest.delete',
                'name'      => 'Delete Photorequest',
            ],
            
                        [
                'slug'      => 'bixo.photorequest.photorequest.verify',
                'name'      => 'Verify Photorequest',
            ],
            [
                'slug'      => 'bixo.photorequest.photorequest.approve',
                'name'      => 'Approve Photorequest',
            ],
            [
                'slug'      => 'bixo.photorequest.photorequest.publish',
                'name'      => 'Publish Photorequest',
            ],
            [
                'slug'      => 'bixo.photorequest.photorequest.unpublish',
                'name'      => 'Unpublish Photorequest',
            ],
            [
                'slug'      => 'bixo.photorequest.photorequest.cancel',
                'name'      => 'Cancel Photorequest',
            ],
            [
                'slug'      => 'bixo.photorequest.photorequest.archive',
                'name'      => 'Archive Photorequest',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/photorequest/photorequest',
                'name'        => 'Photorequest',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/photorequest/photorequest',
                'name'        => 'Photorequest',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'photorequest',
                'name'        => 'Photorequest',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Photorequest',
                'module'    => 'Photorequest',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.photorequest.photorequest.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
