<?php


return  
    [
        'model' => [
            'model' => \Bixo\Photorequest\Models\Photorequest::class,
            'table' => 'bixo_photorequest_photorequests',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['ref',  'photographer_id',  'listing_id',  'start',  'end',  'time_slot',  'photographer_start',  'photographer_end',  'status',  'manager_approval',  'category',  'sub_category',  'location',  'title',  'details',  'admin_comments',  'key_location',  'access_card',  'parking_card',  'key_location_description',  'access_card_description',  'parking_card_description',  'occupancy',  'agent_present',  'rejected_id',  'rejected_at',  'reject_reason',  'reject_description',  'created_by',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'photorequest/photorequest',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photographer_id", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.photographer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "listing_id", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.listing_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "start", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.start', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "end", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.end', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "time_slot", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.time_slot', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photographer_start", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.photographer_start', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photographer_end", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.photographer_end', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "manager_approval", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.manager_approval', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.category', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sub_category", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.sub_category', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.location', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "title", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "details", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.details', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "admin_comments", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.admin_comments', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "key_location", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.key_location', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "access_card", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.access_card', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parking_card", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.parking_card', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "key_location_description", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.key_location_description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "access_card_description", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.access_card_description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parking_card_description", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.parking_card_description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "occupancy", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.occupancy', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_present", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.agent_present', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rejected_id", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.rejected_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rejected_at", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.rejected_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "reject_reason", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.reject_reason', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "reject_description", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.reject_description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "created_by", 
                "type" => "text", 
                "label" => 'photorequest::photorequest.label.created_by', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.ref',
                "placeholder" => 'photorequest::photorequest.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photographer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'photorequest::photorequest.label.photographer_id',
                "placeholder" => 'photorequest::photorequest.placeholder.photographer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'listing_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'photorequest::photorequest.label.listing_id',
                "placeholder" => 'photorequest::photorequest.placeholder.listing_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'start',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'photorequest::photorequest.label.start',
                "placeholder" => 'photorequest::photorequest.placeholder.start',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'end',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'photorequest::photorequest.label.end',
                "placeholder" => 'photorequest::photorequest.placeholder.end',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'time_slot',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.time_slot',
                "placeholder" => 'photorequest::photorequest.placeholder.time_slot',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photographer_start',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'photorequest::photorequest.label.photographer_start',
                "placeholder" => 'photorequest::photorequest.placeholder.photographer_start',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photographer_end',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'photorequest::photorequest.label.photographer_end',
                "placeholder" => 'photorequest::photorequest.placeholder.photographer_end',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'manager_approval',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'photorequest::photorequest.label.manager_approval',
                "placeholder" => 'photorequest::photorequest.placeholder.manager_approval',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.category',
                "placeholder" => 'photorequest::photorequest.placeholder.category',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sub_category',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.sub_category',
                "placeholder" => 'photorequest::photorequest.placeholder.sub_category',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.location',
                "placeholder" => 'photorequest::photorequest.placeholder.location',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'title',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.title',
                "placeholder" => 'photorequest::photorequest.placeholder.title',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'details',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.details',
                "placeholder" => 'photorequest::photorequest.placeholder.details',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'admin_comments',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.admin_comments',
                "placeholder" => 'photorequest::photorequest.placeholder.admin_comments',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'key_location',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.key_location',
                "placeholder" => 'photorequest::photorequest.placeholder.key_location',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'access_card',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.access_card',
                "placeholder" => 'photorequest::photorequest.placeholder.access_card',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parking_card',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.parking_card',
                "placeholder" => 'photorequest::photorequest.placeholder.parking_card',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'key_location_description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.key_location_description',
                "placeholder" => 'photorequest::photorequest.placeholder.key_location_description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'access_card_description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.access_card_description',
                "placeholder" => 'photorequest::photorequest.placeholder.access_card_description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parking_card_description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.parking_card_description',
                "placeholder" => 'photorequest::photorequest.placeholder.parking_card_description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'occupancy',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.occupancy',
                "placeholder" => 'photorequest::photorequest.placeholder.occupancy',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_present',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'photorequest::photorequest.label.agent_present',
                "placeholder" => 'photorequest::photorequest.placeholder.agent_present',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rejected_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'photorequest::photorequest.label.rejected_id',
                "placeholder" => 'photorequest::photorequest.placeholder.rejected_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rejected_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'photorequest::photorequest.label.rejected_at',
                "placeholder" => 'photorequest::photorequest.placeholder.rejected_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'reject_reason',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.reject_reason',
                "placeholder" => 'photorequest::photorequest.placeholder.reject_reason',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'reject_description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'photorequest::photorequest.label.reject_description',
                "placeholder" => 'photorequest::photorequest.placeholder.reject_description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'created_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'photorequest::photorequest.label.created_by',
                "placeholder" => 'photorequest::photorequest.placeholder.created_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'photorequest/photorequest/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'photorequest/photorequest/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'photorequest/photorequest',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'photorequest/photorequest',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'photorequest/photorequest',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'photorequest/photorequest',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'photorequest::photorequest.label.created_at',
            'name' => 'photorequest::photorequest.label.name',
            'status' => 'photorequest::photorequest.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "photorequest::photorequest.groups.main",
                'group' => "main.main",
                'title' => "photorequest::photorequest.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "photorequest::photorequest.groups.details",
                'group' => "main.details",
                'title' => "photorequest::photorequest.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "photorequest::photorequest.groups.images",
                'group' => "main.images",
                'title' => "photorequest::photorequest.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "photorequest::photorequest.groups.settings",
                'group' => "main.settings",
                'title' => "photorequest::photorequest.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Photorequest',
            'module' => 'Photorequest',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Photorequest\Models\Photorequest::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
        
    ];
