<?php

// Web routes  for photorequest.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for photorequest

Route::prefix('{guard}/photorequest')->group(function () {

    Route::get('/workflow/{photorequest}/{user}', 'PhotorequestWorkflowController@get')
        ->name('bixo.photorequest.workflow');
    Route::post('/workflow/{photorequest}/{user}', 'PhotorequestWorkflowController@post');


});

