<?php

namespace Bixo\Photorequest\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Photorequest\Models\Photorequest;

class PhotorequestWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public Photorequest $photorequest,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
